#include "matrix.hlsl"
#include "inout.hlsl"

GIT_BB Billboard_VS(VIT_BB input)
{
	GIT_BB output;

	input.position.w = 1.0f;
    output.position = mul(input.position, worldMatrix);
    output.position = mul(output.position, viewMatrix);
//    output.position = mul(output.position, projectionMatrix);

	output.size = input.size;

	output.color = input.color;

	return output;
}